"use strict";

class MEA3_2 {

    constructor(el) {

        this.el = $(el);

        this.bg = $(el).find('.bg');

        this.title = $(el).find('.mea-title');
        this.subtitle = $(el).find('.mea-subtitle');
        this.cta = $(el).find('.mea-cta');

        var src = this.el.attr("data-image-src");
        var title = this.el.attr("data-title");
        var subtitle = this.el.attr("data-subtitle");
        var cta = this.el.attr("data-cta");
        var linkCta = this.el.attr("data-link-cta");

        this.bg.css('background-image', 'url(' + src + ')');

        this.title.html(title);
        this.subtitle.html(subtitle);
        this.cta.html(cta);
        this.cta.attr("href", linkCta);


    }

}
export default MEA3_2;